com.impinj.stp

## Interface StpApi.VoidTagResponsibilityOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.VoidTagResponsibility, StpApi.VoidTagResponsibility.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.VoidTagResponsibilityOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getFirstEpcWords()` Encode first two EPC words to DEAD DEAD.
    `boolean` | `getKill()` Kill the tag.
    `boolean` | `getPcWordToZero()` Set EPC Length to 0.
    `boolean` | `getPermalock()` Permalock the entire tag.
    `boolean` | `hasFirstEpcWords()` Encode first two EPC words to DEAD DEAD.
    `boolean` | `hasKill()` Kill the tag.
    `boolean` | `hasPcWordToZero()` Set EPC Length to 0.
    `boolean` | `hasPermalock()` Permalock the entire tag.

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasPcWordToZero

          boolean hasPcWordToZero()

      Set EPC Length to 0.

    - #### getPcWordToZero

          boolean getPcWordToZero()

      Set EPC Length to 0.

    - #### hasFirstEpcWords

          boolean hasFirstEpcWords()

      Encode first two EPC words to DEAD DEAD.

    - #### getFirstEpcWords

          boolean getFirstEpcWords()

      Encode first two EPC words to DEAD DEAD.

    - #### hasPermalock

          boolean hasPermalock()

      Permalock the entire tag.

    - #### getPermalock

          boolean getPermalock()

      Permalock the entire tag.

    - #### hasKill

          boolean hasKill()

      Kill the tag.

    - #### getKill

          boolean getKill()

      Kill the tag.